DealerAI
API Reference

Get Models by Manufacturer

Retrieves a paginated list of car models for a specific manufacturer, optionally filtered by region.

GET
/api/v1/manufacturer/{manufacturerId}/models
AuthorizationBasic <token>

Basic Authorization header

In: header

Path Parameters

manufacturerId*string

The unique identifier of the manufacturer whose models to retrieve.

Query Parameters

region?string

The optional region code (e.g., "CA" for Canada, "US" for United States) to filter models by availability.

Skip?integer

Gets or sets the number of rows to skip.

Formatint32
Range0 <= value <= 2147483647
Take?integer

Gets or sets the number of rows to take.

Formatint32
Range1 <= value <= 500

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.dealerai.com/api/v1/manufacturer/string/models"
{
  "total_row_count": 0,
  "row_count": 0,
  "rows": [
    {
      "id": "string",
      "manufacturer_id": "string",
      "locale": "string",
      "region": "string",
      "model": "string",
      "model_localized": "string",
      "model_display_name": "string",
      "type": "string",
      "body_type": "string",
      "fuel_type": "string",
      "seats": 0,
      "year": 0,
      "min_price": 0.1,
      "max_price": 0.1,
      "site_url": "string",
      "image_url": "string",
      "video_url": "string",
      "trims": [
        {
          "id": "string",
          "trim": "string",
          "trim_localized": "string",
          "trim_display_name": "string",
          "model": "string",
          "model_localized": "string",
          "model_display_name": "string",
          "manufacturer_id": "string",
          "type": "string",
          "override_model_name": true,
          "can_test_drive": true,
          "year": 0,
          "site_url": "string",
          "car_properties": [
            {
              "tag": "string",
              "string_key": "string",
              "display_name": "string",
              "description": "string",
              "searchable_text": "string",
              "value": null,
              "unit": "string",
              "url": "string",
              "image_urls": [
                "string"
              ]
            }
          ]
        }
      ],
      "can_test_drive": true
    }
  ]
}
{
  "message": "string",
  "details": null
}
{
  "message": "string",
  "details": null
}
{
  "message": "string",
  "details": null
}